<?php
namespace Teknisa\Model\Geral\Repositories;


class Paramsenha extends \Doctrine\ORM\EntityRepository {
    /**
     * @param $nrOrg
     * @return array
     */
    public function getADConfigurationByNrOrg($nrOrg) {
        $query = <<<SQL
            SELECT DSURLSERVERAD AS SERVER, NMDOMINIOAD AS DOMAIN, NMUSUARIOADMAD AS ADM_USER,
                   DECODE(DSSENHAUSUARIOADMAD, NULL, NULL, :PASSWORD) AS ADM_PASSWORD,
                   CASE WHEN IDUTILIZAAD = 'S'
                        THEN 'Y'
                        ELSE 'N'
                    END AS USE_AD
              FROM PARAMSENHA
             WHERE NRORG = :NRORG
SQL;
        $params = array(
            'NRORG' => $nrOrg,
            'PASSWORD' => \Teknisa\Model\Geral\Entities\Paramsenha::DEFAULT_ADM_PASSWORD
        );

        return $this->getEntityManager()->getConnection()->fetchAll($query, $params);
    }

    public function getParamSenhaByNrOrg($nrOrg, $entityManager = false) {
        $query = <<<SQL
            SELECT NRDIASEXPSEN, NRDIASAVISO, NRALTSENHREP,
                   CDPICTSENHA, NRERROSENHA, QTMINSISINA, IDUTCTRLSEN,
                   CASE WHEN IDUTCTRLSEN = 'S'
                        THEN 'Y'
                        ELSE 'N'
                    END AS USE_CONTROLSENHA
              FROM PARAMSENHA
             WHERE NRORG = :NRORG
SQL;
        $params = array(
            'NRORG' => $nrOrg
        );

        $entityManager = $entityManager ? $entityManager : $this->getEntityManager();
        return $entityManager->getConnection()->fetchAll($query, $params);
    }

    public function getParamSenhaByNrorgToSupportOperator($nrOrg){
        $query = "SELECT NRDIASEXPSEN, IDUTILIZAAD, IDUTCTRLSEN, CDPICTSENHA, NRERROSENHA,
                         QTMINSISINA, NRDIASAVISO, NRALTSENHREP, NMDOMINIOAD,
                         DSURLSERVERAD, NMUSUARIOADMAD, DSSENHAUSUARIOADMAD
                    FROM PARAMSENHA
                   WHERE NRORG = :NRORG";

        $params = array( 'NRORG' => $nrOrg );
        $result = $this->getEntityManager()->getConnection()->fetchAll($query, $params);
        return !empty($result) ? $result[0] : $result;
    }
}