import { AppController } from './AppController';
import { LoginController } from './LoginController';
import { Utilities } from './utilities/Utilities';
import { CrudController } from './utilities/CrudController';
import { GridEditableController } from './utilities/GridEditableController';
import { ReportController } from './utilities/ReportController';
import { ModalController } from './utilities/ModalController';
import { TreeGridController } from './utilities/TreeGridController';
import { FormTpCardapioController } from './modals/FormTpCardapioController';
import { Ger01000UnidadeAdicionalProdutoController } from './planejamento/produto/Ger01000UnidadeAdicionalProdutoController';
import { Ger02500NutrientesController } from './planejamento/parametrizacao/Ger02500NutrientesController';
import { Ger04000NutrientesPorProdutoController } from './planejamento/parametrizacao/Ger04000NutrientesPorProdutoController';
import { Ger21000FormasApresentacaoController } from './planejamento/parametrizacao/Ger21000FormasApresentacaoController';
import { Ger22000ApresentacaoProdutoController } from './planejamento/produto/Ger22000ApresentacaoProdutoController';
import { Ger28000TipoRetiradaController } from './planejamento/parametrizacao/Ger28000TipoRetiradaController';
import { Ger30000PadraoDeServicoController } from './planejamento/servico/Ger30000PadraoDeServicoController';
import { Ger30002PadraoDeServicoController } from './modals/Ger30002PadraoDeServicoController';
import { Ger80500NutricionistaController } from './planejamento/parametrizacao/Ger80500NutricionistaController';
import { Ger01800UnidadeMedidaController } from './planejamento/cadastro/Ger01800UnidadeMedidaController';
import { Ger96000CentralController } from './planejamento/cadastro/Ger96000CentralController';
import { Pla00102RankingPrato } from './pme/cardapio/Pla00102RankingPrato';
import { Pla00106AcompanhamentoCusto } from './pme/cardapio/Pla00106AcompanhamentoCusto';
import { Pla00115DadosDoPrato } from './pme/cardapio/Pla00115DadosDoPrato';
import { Pla01300PratoController } from './planejamento/prato/Pla01300PratoController';
import { Pla01400TipoPratoController } from './planejamento/prato/Pla01400TipoPratoController';
import { Pla01900ParametrosPlanejamentoController } from './planejamento/parametrizacao/Pla01900ParametrosPlanejamentoController';
import { Pme00200ServicoController } from './pme/servico/Pme00200ServicoController';
import { Pme00300TipoDeCardapioController } from './pme/parametrizacao/Pme00300TipoDeCardapioController';
import { Pme00500ComensaisEstimadosController } from './pme/parametrizacao/Pme00500ComensaisEstimadosController';
import { Pme00510AtulizarComensaisCardController } from './pme/parametrizacao/Pme00510AtulizarComensaisCardController';
import { Pme00600ComensaisEstimadoCardapio } from './pme/cardapio/Pme00600ComensaisEstimadoCardapio';
import { Pme00600ElaboracaoCardapio } from './pme/cardapio/Pme00600ElaboracaoCardapio';
import { Pme00600ExclusaoPrato } from './pme/cardapio/Pme00600ExclusaoPrato';
import { Pme00600ModalAtualizaComensal } from './pme/cardapio/Pme00600ModalAtualizaComensal';
import { Pme00602ImportarCardDia } from './pme/cardapio/Pme00602ImportarCardDia';
import { Pme00606AnaliseNutr } from './pme/cardapio/Pme00606AnaliseNutr';
import { Pme00607CopiaPratosComensais } from './pme/cardapio/Pme00607CopiaPratosComensais';
import { Pme00608ConfiguracaoCardapio } from './pme/cardapio/Pme00608ConfiguracaoCardapio';
import { Pme00609ImportacaoTpPrato } from './pme/cardapio/Pme00609ImportacaoTpPrato';
import { Pme00611AnaliseCusto } from './pme/cardapio/Pme00611AnaliseCusto';
import { Pme00700ConsPorServicoController } from './pme/servico/Pme00700ConsPorServicoController';
import { Pme00708SubstituicaoDeProdutosController } from './modals/Pme00708SubstituicaoDeProdutosController';
import { Pme00800CalculoPrevConsController } from './pme/requisicao/Pme00800CalculoPrevConsController';
import { Pme00900RequisicaoServAnalController } from './pme/requisicao/Pme00900RequisicaoServAnalController';
import { Pme01000EmissaoCardSemanaController } from './pme/relatorios/Pme01000EmissaoCardSemanaController';
import { Pme01100CustoPlanejadoRealizadoController } from './pme/custo/Pme01100CustoPlanejadoRealizadoController';
import { Pme01300EmissaoCardPerPAEController } from './pme/relatorios/Pme01300EmissaoCardPerPAEController';
import { Pme01400EfetivosController } from './pme/medicao/Pme01400EfetivosController';
import { Pme01600DesvioDeConsumoController } from './pme/custo/Pme01600DesvioDeConsumoController';
import { Pme01700CustoRealGlobalPeriodoController } from './pme/custo/Pme01700CustoRealGlobalPeriodoController';
import { Pme01800ConsumoPlanejadoRealizadoController } from './pme/custo/Pme01800ConsumoPlanejadoRealizadoController';
import { Pme02000RetiradaInventarioController } from './pme/medicao/Pme02000RetiradaInventarioController';
import { Pme02400ClientesPorServicoController } from './pme/servico/Pme02400ClientesPorServicoController';
import { Pme02401ClientesPorServicoModalController } from './modals/Pme02401ClientesPorServicoModalController';
import { Pme03000EmissaoCardPeriodoController } from './pme/relatorios/Pme03000EmissaoCardPeriodoController';
import { Pme03100EmissaoCardDiaController } from './pme/relatorios/Pme03100EmissaoCardDiaController';
import { Pme03800HistoricoReqAnalitica } from './pme/requisicao/Pme03800HistoricoReqAnalitica';
import { Pme06600SubsPratoCard } from './pme/cardapio/Pme06600SubsPratoCard';
import { Pme08000CustoPlanejadoCardController } from './pme/custo/Pme08000CustoPlanejadoCardController';
import { Pme08100CustoRealPeriodoController } from './pme/custo/Pme08100CustoRealPeriodoController';
import { Pme08200CustoCardapioMesController } from './pme/custo/Pme08200CustoCardapioMesController';
import { Pme09100NutrientesCardapioController } from './pme/relatorios/Pme09100NutrientesCardapioController';
import { Pme11000PercentualAdesaoPratoController } from './pme/parametrizacao/Pme11000PercentualAdesaoPratoController';
import { ImportacaoReceitaController } from './planejamento/prato/ImportacaoReceitaController';
import { ReceitaController } from './planejamento/prato/ReceitaController';
import { RelatoriosEmissaoCardController } from './modals/RelatoriosEmissaoCardController';

export default {
  AppController,
  LoginController,
  Utilities,
  CrudController,
  GridEditableController,
  ReportController,
  TreeGridController,
  FormTpCardapioController,
  ModalController,
  Ger01000UnidadeAdicionalProdutoController,
  Ger02500NutrientesController,
  Ger04000NutrientesPorProdutoController,
  Ger21000FormasApresentacaoController,
  Ger22000ApresentacaoProdutoController,
  Ger28000TipoRetiradaController,
  Ger30000PadraoDeServicoController,
  Ger30002PadraoDeServicoController,
  Ger80500NutricionistaController,
  Ger01800UnidadeMedidaController,
  Ger96000CentralController,
  Pla00102RankingPrato,
  Pla00106AcompanhamentoCusto,
  Pla00115DadosDoPrato,
  Pla01300PratoController,
  Pla01400TipoPratoController,
  Pla01900ParametrosPlanejamentoController,
  Pme00200ServicoController,
  Pme00300TipoDeCardapioController,
  Pme00500ComensaisEstimadosController,
  Pme00510AtulizarComensaisCardController,
  Pme00600ComensaisEstimadoCardapio,
  Pme00600ElaboracaoCardapio,
  Pme00600ExclusaoPrato,
  Pme00600ModalAtualizaComensal,
  Pme00602ImportarCardDia,
  Pme00606AnaliseNutr,
  Pme00607CopiaPratosComensais,
  Pme00608ConfiguracaoCardapio,
  Pme00609ImportacaoTpPrato,
  Pme00611AnaliseCusto,
  Pme00700ConsPorServicoController,
  Pme00708SubstituicaoDeProdutosController,
  Pme00800CalculoPrevConsController,
  Pme00900RequisicaoServAnalController,
  Pme01000EmissaoCardSemanaController,
  Pme01100CustoPlanejadoRealizadoController,
  Pme01300EmissaoCardPerPAEController,
  Pme01400EfetivosController,
  Pme01600DesvioDeConsumoController,
  Pme01700CustoRealGlobalPeriodoController,
  Pme01800ConsumoPlanejadoRealizadoController,
  Pme02000RetiradaInventarioController,
  Pme02400ClientesPorServicoController,
  Pme02401ClientesPorServicoModalController,
  Pme03000EmissaoCardPeriodoController,
  Pme03100EmissaoCardDiaController,
  Pme03800HistoricoReqAnalitica,
  Pme06600SubsPratoCard,
  Pme08000CustoPlanejadoCardController,
  Pme08100CustoRealPeriodoController,
  Pme08200CustoCardapioMesController,
  Pme09100NutrientesCardapioController,
  Pme11000PercentualAdesaoPratoController,
  ImportacaoReceitaController,
  ReceitaController,
  RelatoriosEmissaoCardController,
};
